#-----------------------------------------------------------------------------------------------------------------------

class_name JumpButton extends Button

#-----------------------------------------------------------------------------------------------------------------------

@onready
var fleetMode = self.get_node("/root/FleetMode")

#-----------------------------------------------------------------------------------------------------------------------
# Event Handlers
#-----------------------------------------------------------------------------------------------------------------------

func _onPressed() -> void:
    # Ignore jumping the camera. We don't go to Ravenholm.
    # fleetMode.emit_signal("cameraJump", Vector3(100, 2000, 0), 2)

    prints("Selected ships: " + str(get_tree().get_nodes_in_group("selected")))
    self.get_tree().call_group("selected", "processCommand", "move", { "pos": Vector3(500, 500, 500) })

#-----------------------------------------------------------------------------------------------------------------------
# Godot Methods
#-----------------------------------------------------------------------------------------------------------------------

# Called when the node enters the scene tree for the first time.
func _ready():
    self.connect("pressed", self._onPressed)

#-----------------------------------------------------------------------------------------------------------------------
